/*
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright 2000 by Michael B. Allen
 *
 */

import jcifs.netbios.*;
import java.net.*;

/*
 * This example demontrates a simple name lookup. Note: It will
 * attempt to guess the broadcast address by simply makeing
 * the last byte of the address 255. If this is not your broadcast
 * address you can set it explicitly or better still provide a
 * name server.
 */

public class NbtAddressExample {

	static void doExample( String name ) throws UnknownHostException {

		// NbtConfig.setBroadcastAddress( InetAddress.getByName( "192.168.1.255" ));
		// NbtConfig.setNameServer( InetAddress.getByName( "192.168.1.151" ));

		// jcifs.netbios.Log.setMask( jcifs.util.Log.EXCEPTIONS +
		//							jcifs.netbios.Log.PACKET_DATA );

		NbtAddress addr = NbtAddress.getByName( name );

		System.out.println( addr );
	}

	public static void main( String argv[] ) {
		System.out.print( "enter hostname or ip: " );
		int c;
		StringBuffer sb = new StringBuffer();
		try {
			while(( c = System.in.read() ) != '\n' ) {
				sb.append( (char)c );
			}
			doExample( sb.toString() );
		} catch( Exception x ) {
			x.printStackTrace();
		}
		System.exit( 0 );
	}
}

